- Qt 5.15
- Qt 3D
- C++ Classes
- QFrontFace
- Qt 5.15.18 Reference Documentation

# QFrontFace Class

class Qt3DRender::QFrontFace

The QFrontFace class defines front and back facing polygons. More...

Header: | #include <QFrontFace>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | FrontFace
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Types

enum | WindingDirection { ClockWise, CounterClockWise }

## Properties

- direction : WindingDirection

## Public Functions

WindingDirection | direction() const

## Public Slots

void | setDirection(WindingDirection direction)

## Signals

void | directionChanged(WindingDirection direction)

## Detailed Description

A Qt3DRender::QFrontFace sets the winding direction of the front facing polygons.

See also QCullFace.

## Member Type Documentation

### enum QFrontFace::WindingDirection

This enumeration specifies the winding direction values.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QFrontFace::ClockWise` | `0x0900` | Clockwise polygons are front facing.
`Qt3DRender::QFrontFace::CounterClockWise` | `0x0901` | Counter clockwise polygons are front facing.

## Property Documentation

### direction : WindingDirection

Holds the winding direction of the front facing polygons. Default is Clockwise.

Access functions:

WindingDirection | direction() const
void | setDirection(WindingDirection direction)

Notifier signal:

void | directionChanged(WindingDirection direction)